[CentOS] suggestions on other packages

Jerry Geis geisj at pagestation.com
Fri Apr 3 13:02:00 UTC 2009


Hi all -  Since upstream patches the stock 2.6.18 kernel into something
that is not 2.6.18 (for the rest of the world) I am having issues trying
to compile some packages like v4l (latest is needed for a different 
project).

When compiling packages like v4l that a doing conditionals based on
kernel number - but - header files are messing other things up...
is there some great trick to getting things to compile or behave nicely?

What do others do in this circumstance?

Note: If I did compile a kernel (2.6.17.10 for example) v4l works fine.
however then I am not getting kernel updates with releases etc...

Thanks,

Jerry


More information about the CentOS mailing list